GFXRECON-REPLAY(1)

NAME
gfxrecon-replay - A tool to replay GFXReconstruct capture files.

DESCRIPTION
gfxrecon-replay - A tool to replay GFXReconstruct capture files.

  Usage:

gfxrecon-replay
    [-h | --help] [--version] [--gpu <index>] [--pause-frame <N>] [--paused] [--sync] [--screenshot-all] [--screenshots <N1(-N2),...>] [--screenshot-format <format>] [--screenshot-dir <dir>] [--screenshot-prefix <file-prefix>] [--sfa | --skip-failed-allocations] [--replace-shaders <dir>] [--opcd | --omit-pipeline-cache-data] [--wsi <platform>] [--surface-index <N>] [--remove-unsupported] [-m <mode> | --memory-translation <mode>] <file>

  Required arguments:

<file>
    Path to the capture file to replay.

  Optional arguments:

-h  Print usage information and exit (same as --help).

--version
    Print version information and exit.

--gpu <index>
    Use the specified device for replay, where index is the zero-based index to the array of physical devices returned by vkEnumeratePhysicalDevices. Replay may fail if the specified device is not compatible with the original capture devices.

--pause-frame <N>
    Pause after replaying frame number N.

--paused
    Pause after replaying the first frame (same as --pause-frame 1).

--screenshot-all
    Generate screenshots for all frames. When this option is specified, --screenshots is ignored.

--screenshots <N1[-N2][,...]>
    Generate screenshots for the specified frames. Target frames are specified as a comma separated list of frame ranges. A frame range can be specified as a single value, to specify a single frame, or as two hyphenated values, to specify the first and last frames to process. Frame ranges should be specified in ascending order and cannot overlap. Note that frame numbering is 1-based (i.e. the first frame is frame 1). Example: 200,301-305 will generate six screenshots.

--screenshot-format <format>
    Image file format to use for screenshot generation. Available formats are:

bmp Bitmap file format. This is the default format.

--screenshot-dir <dir>
    Directory to write screenshots. Default is the current working directory.

--screenshot-prefix <file-prefix>
    Prefix to apply to the screenshot file name. Default is "screenshot", producing file names similar to "screenshot_frame8049.bmp".

--sfa
    Skip vkAllocateMemory, vkAllocateCommandBuffers, and vkAllocateDescriptorSets calls that failed during capture (same as --skip-failed-allocations).

--replace-shaders <dir> Replace the shader code in each CreateShaderModule
    with the contents of the file <dir>/sh<handle_id> if found, where <handle_id> is the handle id of the CreateShaderModule call. See gfxrecon-extract.

--opcd
    Omit pipeline cache data from calls to vkCreatePipelineCache and skip calls to vkGetPipelineCacheData (same as --omit-pipeline-cache-data).

--wsi <platform>
    Force replay to use the specified wsi platform. Available platforms are: auto,xlib,xcb,wayland

--surface-index <N>
    Restrict rendering to the Nth surface object created. Used with captures that include multiple surfaces. Default is -1 (render to all surfaces).

--sync
    Synchronize after each queue submission with vkQueueWaitIdle.

--remove-unsupported
    Remove unsupported extensions and features from instance and device creation parameters.

-m <mode>
    Enable memory translation for replay on GPUs with memory types that are not compatible with the capture GPU's memory types. Available modes are:

none
    No memory translation is performed. This is the default behavior.

remap
    Attempt to map capture memory types to compatible replay memory types, without altering memory allocation behavior.

realign
    Adjust memory allocation sizes and resource binding offsets based on replay memory properties.

rebind
    Change memory allocation behavior based on resource usage and replay memory properties. Resources may be bound to different allocations with different offsets. Uses VMA to manage allocations and suballocations.

    GFXReconstruct Version 0.9.4-unknown (unknown-build-source) Vulkan Header Version 1.2.162

SEE ALSO
The full documentation for gfxrecon-replay is maintained as a Texinfo manual. If the info and gfxrecon-replay programs are properly installed at your site, the command

    info gfxrecon-replay

should give you access to the complete manual.